Creates a model response for the given chat conversation.

Given a list of messages comprising a conversation, the model will return a response. Compatible with OpenAI. See https://platform.openai.com/docs/api-reference/chat/create

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
Defaults to nvidia/nemotron-3.5-super-vl-120b-a12b
messages
array of objects
required
length ≥ 1

Conversation messages. System and developer instructions, user messages, assistant responses, and tool results are supported. Include tool_call_id on tool results.

Messages*
string
enum
required

The role of the message author.

Allowed:
string | array | null

Text, multimodal content parts, or null for an assistant tool call.

string
string
tool_calls
array of objects
tool_calls
string | null

Reasoning text returned separately from the final answer.

function_call
object | null

Legacy assistant function call. Prefer tool_calls for new integrations.

number
0 to 2
Defaults to 1

The sampling temperature to use for text generation. The higher the temperature value is, the less deterministic the output text will be. It is not recommended to modify both temperature and top_p in the same call.

number
≤ 1
Defaults to 0.95

The top-p sampling mass used for text generation. The top-p value determines the probability mass that is sampled at sampling time. For example, if top_p = 0.2, only the most likely tokens (summing to 0.2 cumulative probability) will be sampled. It is not recommended to modify both temperature and top_p in the same call.

integer
1 to 131072
Defaults to 16384

The maximum number of tokens to generate in any given call. Note that the model is not aware of this value, and generation will simply stop at the number of tokens specified. The hosted function caps completion budgets at 131072 tokens.

string
enum
Defaults to high

Controls Super's reasoning mode. none disables reasoning tokens, low enables low-effort reasoning, and high enables full reasoning. Snippets translate this field into the model's chat_template_kwargs.

Allowed:
0 to 18446744073709552000

If specified, our system will make a best effort to sample deterministically, such that repeated requests with the same seed and parameters should return the same result.

boolean
Defaults to true

If set, partial message deltas will be sent. Tokens will be sent as data-only server-sent events (SSE) as they become available (JSON responses are prefixed by data: ), with the stream terminated by a data: [DONE] message.

array | string | null

A string or a list of strings where the API will stop generating further tokens. The returned text will not contain the stop sequence.

tools
array of objects

Function definitions available for tool calling.

tools
string | object

Automatically select a tool, disable tools, require a tool, or select a named function.

boolean
Defaults to true

Whether multiple tool calls may be generated in one response.

response_format
object

Use json_schema with a JSON schema to constrain structured output.

stream_options
object

Include token usage in streamed chunks or emit continuous usage updates.

chat_template_kwargs
object

Optional chat-template arguments. Prefer reasoning_effort for the none, low, and high reasoning modes.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/event-stream
country_code